Skip to content

Get loan investors

Request

Security
oauth2(Required scopes: loan:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

GET
/people/{personId}/loans/{loanId}/investors
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/investors' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(LoanInvestorsGet)
Response
{ "count": 0, "status": 0, "data": [ {} ] }